Bug 1755309 - java-1.8.0-openjdk-aarch32 is no longer installable
Summary: java-1.8.0-openjdk-aarch32 is no longer installable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk-aarch32
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-25 08:40 UTC by Mat Booth
Modified: 2019-10-02 00:47 UTC (History)
4 users (show)

Fixed In Version: java-1.8.0-openjdk-aarch32-1.8.0.222.b10-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:47:34 UTC


Attachments (Terms of Use)

Description Mat Booth 2019-09-25 08:40:23 UTC
Description of problem:

This update has introduced package conflicts that break my builds of archful Java packages:

https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5ec38072a

The error you get is this:

Error: Transaction check error:
  file /usr/lib/jvm/jre-1.8.0-openjdk-1.8.0.222.b10-1.fc31.arm conflicts between attempted installs of java-1.8.0-openjdk-aarch32-headless-1:1.8.0.222.b10-1.fc31.armv7hl and java-1.8.0-openjdk-headless-1:1.8.0.222.b10-1.fc31.armv7hl


For years I have been relying on java-1.8.0-openjdk-aarch32 to keep my build times down on 32bit arm for archful Java packages -- but it is no longer installable for such builds.

Please compare these two builds:

Success (before this update): https://koji.fedoraproject.org/koji/taskinfo?taskID=37837964

Failure (after this update): https://koji.fedoraproject.org/koji/taskinfo?taskID=37848442

Please revert whatever change is causing this conflict to make java-1.8.0-openjdk-aarch32 installable again.

Comment 1 Alex Kashchenko 2019-09-25 10:34:10 UTC
Sorry for that, I'll re-check the file names, there was an attempt to simplify the version number suffix for aarch32 package, and it seems that is causes this problem.

Comment 2 Mat Booth 2019-09-27 08:33:10 UTC
(In reply to Alex Kashchenko from comment #1)
> Sorry for that, I'll re-check the file names, there was an attempt to
> simplify the version number suffix for aarch32 package, and it seems that is
> causes this problem.

I appreciate you looking into it, thanks.

Comment 3 Fedora Update System 2019-09-27 22:40:39 UTC
FEDORA-2019-7f68a17b6d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f68a17b6d

Comment 4 Alex Kashchenko 2019-09-27 22:45:55 UTC
Fixed the symlink name, checked simultaneous installation of both mainline and aarch32 packages in Rawhide (with the same release number), created updates for all Fedora versions.

Comment 5 Fedora Update System 2019-09-28 00:53:45 UTC
java-1.8.0-openjdk-aarch32-1.8.0.222.b10-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f68a17b6d

Comment 6 Fedora Update System 2019-10-02 00:47:34 UTC
java-1.8.0-openjdk-aarch32-1.8.0.222.b10-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.